## contextlib2 0.6.0.post1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/contextlib2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/contextlib2.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/contextlib2"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/contextlib2"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## contextlib2 0.4.0

=== debian/changelog ===
contextlib2 (0.4.0-1) unstable; urgency=low

  * Initial release. (Closes: #719458)

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 12 Aug 2013 07:05:07 +0200

=== debian/control ===
Source: contextlib2
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Tristan Seligmann <mithrandi@debian.org>
Build-Depends: debhelper (>= 9), python-all, dh-python
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/contexlib2/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/contextlib2/trunk/
Homepage: http://contextlib2.readthedocs.org/

Package: python-contextlib2
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Backport and enhancements for the contextlib module
 contextlib2 is a backport of the standard library's contextlib module to
 earlier Python versions.
 .
 It also serves as a real world proving ground for possible future
 enhancements to the standard library version.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_DESTDIR_python2=debian/python-contextlib2/
export PYBUILD_TEST_ARGS={dir}/
%:
	dh $@ --with python2 --buildsystem=pybuild


override_dh_installchangelogs:
	dh_installchangelogs -k NEWS.rst

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/c/contextlib2/contextlib2-(.*).tar.gz

## contextlib2 0.5.1

=== debian/changelog ===
contextlib2 (0.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Add build-dependency on unittest2.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 19 Jan 2016 19:47:17 +0200

contextlib2 (0.4.0-3) unstable; urgency=medium

  * Fix watch file (using pypi.debian.net redirector).
  * Bump S-V to 3.9.6.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 25 Aug 2015 21:40:15 +0200

contextlib2 (0.4.0-2.1) unstable; urgency=medium

  * Team upload.
  * Added Python 3 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Jul 2015 13:21:23 +0000

contextlib2 (0.4.0-2) unstable; urgency=medium

  * Fix Vcs-Svn field (was missing a character).
  * Bump Standards-Version (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 27 Jul 2014 07:05:05 +0200

=== debian/control ===
Source: contextlib2
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Tristan Seligmann <mithrandi@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-setuptools,
 python-unittest2,
 python3-all,
 python3-setuptools,
 python3-unittest2,
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/python-modules/packages/contextlib2.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/contextlib2.git
Homepage: http://contextlib2.readthedocs.org/

Package: python-contextlib2
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Backport and enhancements for the contextlib module - Python 2.7
 contextlib2 is a backport of the standard library's contextlib module to
 earlier Python versions.
 .
 It also serves as a real world proving ground for possible future
 enhancements to the standard library version.
 .
 This package contains the Python 2.7 module.

Package: python3-contextlib2
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Backport and enhancements for the contextlib module - Python 3.x
 contextlib2 is a backport of the standard library's contextlib module to
 earlier Python versions.
 .
 It also serves as a real world proving ground for possible future
 enhancements to the standard library version.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/contextlib2/contextlib2-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## contextlib2 0.5.3

=== debian/changelog ===
contextlib2 (0.5.3-1~bpo8+1) jessie; urgency=medium

  * Rebuild for jessie-backports.
  
 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 22 May 2016 04:09:37 +0200

contextlib2 (0.5.3-1) unstable; urgency=medium

  [ Tristan Seligmann ]
  * Add version to unittest2 build-dependencies.
  * New upstream release.
  * Ship .pydist files.
  * Bump Standards-Version to 3.9.8 (no changes).
  * Update Vcs-* URLs for https.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 05 May 2016 03:10:07 +0200

contextlib2 (0.5.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Add version to unittest2 build dependencies.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 27 Jan 2016 04:19:44 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
  dh-python,
  python-all,
  python-setuptools,
- python-unittest2,
+# python-unittest2 (>= 0.6.0),
  python3-all,
  python3-setuptools,
- python3-unittest2,
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/contextlib2.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/contextlib2.git
+# python3-unittest2 (>= 0.6.0),
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/contextlib2.git
+Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/contextlib2.git
 Homepage: http://contextlib2.readthedocs.org/
 
 Package: python-contextlib2

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_DESTDIR_python2=debian/python-contextlib2/
export PYBUILD_TEST_ARGS={dir}/
export PYBUILD_NAME=contextlib2

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS.rst

override_dh_auto_test:
	true

## contextlib2 0.5.4

=== debian/changelog ===
contextlib2 (0.5.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 10 Jun 2017 12:56:25 +0200

contextlib2 (0.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 10 Oct 2016 01:04:15 +0200

contextlib2 (0.5.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  
 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 22 May 2016 04:09:37 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
  dh-python,
  python-all,
  python-setuptools,
-# python-unittest2 (>= 0.6.0),
+ python-unittest2 (>= 0.6.0),
  python3-all,
  python3-setuptools,
-# python3-unittest2 (>= 0.6.0),
+ python3-unittest2 (>= 0.6.0),
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/contextlib2.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/contextlib2.git

## contextlib2 0.5.5

=== debian/changelog ===
contextlib2 (0.5.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0 (no changes).
  * Use https URL for copyright format.
  * Add DEP-8 tests.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 30 Jun 2017 02:48:38 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,7 @@
  python-unittest2 (>= 0.6.0),
  python3-all,
  python3-setuptools,
- python3-unittest2 (>= 0.6.0),
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/contextlib2.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/contextlib2.git
 Homepage: http://contextlib2.readthedocs.org/

=== debian/tests/control ===
Tests: python-contextlib2
Depends: @, python-unittest2

## contextlib2 0.6.0

=== debian/changelog ===
contextlib2 (0.6.0-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest to reliably test with all python3 versions

 -- Scott Kitterman <scott@kitterman.com>  Sat, 21 Mar 2020 00:47:04 -0400

contextlib2 (0.6.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Scott Kitterman ]
  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sat, 14 Mar 2020 01:33:56 -0400

contextlib2 (0.5.5-3) unstable; urgency=medium

  * Team upload.
  * Source-only reupload to allow migration after uploading to NEW.

 -- Ondřej Nový <onovy@debian.org>  Thu, 01 Aug 2019 12:58:24 +0200

contextlib2 (0.5.5-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * Convert git repository from git-dpm to gbp layout
  * Bump Standards-Version to 4.4.0 (no changes needed)
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Add pypy-contextlib2 binary package

 -- Ondřej Nový <onovy@debian.org>  Wed, 17 Jul 2019 16:33:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,32 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Tristan Seligmann <mithrandi@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  dh-python,
+ pypy,
+ pypy-setuptools,
  python-all,
  python-setuptools,
  python-unittest2 (>= 0.6.0),
  python3-all,
  python3-setuptools,
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/contextlib2.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/contextlib2.git
-Homepage: http://contextlib2.readthedocs.org/
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/python-team/modules/contextlib2.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/contextlib2
+Homepage: https://contextlib2.readthedocs.org/
+Testsuite: autopkgtest-pkg-python
+
+Package: pypy-contextlib2
+Architecture: all
+Depends: ${misc:Depends}, ${pypy:Depends}
+Description: Backport and enhancements for the contextlib module - PyPy
+ contextlib2 is a backport of the standard library's contextlib module to
+ earlier Python versions.
+ .
+ It also serves as a real world proving ground for possible future
+ enhancements to the standard library version.
+ .
+ This package contains the PyPy module.
 
 Package: python-contextlib2
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_DESTDIR_python2=debian/python-contextlib2/
export PYBUILD_TEST_ARGS={dir}/
export PYBUILD_NAME=contextlib2
# There is no pypy-unittest2, so install pypy without testing
export PYBUILD_DISABLE_pypy=test

%:
	dh $@ --with pypy,python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS.rst

=== debian/tests/control ===
Tests: python-contextlib2
Depends: @, python3-all,  python-unittest2

## contextlib2 0.6.0.post1

=== debian/changelog ===
contextlib2 (0.6.0.post1-1) unstable; urgency=medium

  * New upstream release.
  * Actually activate DEP8 tests added ages ago.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 20 Jul 2020 12:13:06 +0200

contextlib2 (0.6.0-4) unstable; urgency=medium

  * Team upload.
  * Drop PyPy support.
  * Set Rules-Requires-Root: no.
  * Bump standards version to 4.5.0.
  * Bump debhelper compat level to 13.

 -- Ondřej Nový <onovy@debian.org>  Fri, 05 Jun 2020 18:12:52 +0200

contextlib2 (0.6.0-3) unstable; urgency=medium

  * Drop python2 support; Closes: #936332

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Apr 2020 17:08:20 -0400

=== debian/control ===
Source: contextlib2
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Tristan Seligmann <mithrandi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/python-team/modules/contextlib2.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/contextlib2
Homepage: https://contextlib2.readthedocs.org/
Testsuite: autopkgtest
Rules-Requires-Root: no

Package: python3-contextlib2
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Backport and enhancements for the contextlib module - Python 3.x
 contextlib2 is a backport of the standard library's contextlib module to
 earlier Python versions.
 .
 It also serves as a real world proving ground for possible future
 enhancements to the standard library version.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS={dir}/
export PYBUILD_NAME=contextlib2

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS.rst

=== debian/tests/control ===
Tests: python-contextlib2
Depends: @, python3-all

## contextlib2 21.6.0

=== debian/changelog ===
contextlib2 (21.6.0-1) unstable; urgency=medium

  * d/control: Take over maintainership from Tristan Seligmann who has
    retired. Many thanks!
    Closes: #1041176
  * New upstream version
  * Refresh the python3.11 patch.
  * d/upstream/metadata: document upstream's GitHub project.
  * d/control: switch to using pybuild-autopkgtest.
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 29 Feb 2024 15:31:33 +0100

contextlib2 (0.6.0.post1-3) unstable; urgency=medium

  * Team upload.
  * d/patches/python3.11: Add Python 3.11 support to the tests. Closes: #1024861
  * d/rules: if dh-sequence-python3 is a build-dep, then we don't need '-
    -with python3'
  * Standards-Version: 4.6.2 (routine-update)
  * Add salsa-ci file (routine-update)
  * watch file standard 4 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 23 Dec 2022 13:21:25 +0100

contextlib2 (0.6.0.post1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Remove Testsuite field, not needed anymore.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.
  * Update standards version to 4.6.0, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Sat, 23 Apr 2022 15:48:22 -0400

=== debian/control ===
Source: contextlib2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/contextlib2
Vcs-Git: https://salsa.debian.org/python-team/packages/contextlib2.git
Homepage: https://contextlib2.readthedocs.org/
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-contextlib2
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Backport and enhancements for the contextlib module - Python 3.x
 contextlib2 is a backport of the standard library's contextlib module to
 earlier Python versions.
 .
 It also serves as a real world proving ground for possible future
 enhancements to the standard library version.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS={dir}/
export PYBUILD_NAME=contextlib2

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS.rst

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/contextlib2/contextlib2-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
